Subject: [dtn-interest] Latest version of registries draft

From: "Scott, Keith L." <[email-masked]>
Date: Thu, 25 Oct 2012 17:11:46 +0000

The latest version of the registries draft (-04) is attached.  The latest version that's on datatracker is the -03 version.

There are no significant technical differences between the two; the changes address Scott's previous comments below.

                        --keith

I think the attached address Scott's concerns below.  I've submitted this but it hasn't come out yet.

Going twice...

                        --keith

From: Burleigh, Scott C (313B) [mailto:[email-masked]]
Sent: Friday, September 14, 2012 3:21 PM
To: Scott, Keith L.; Hans Kruse; Stephen Farrell ([email-masked]<mailto:[email-masked]>)
Cc: Marc Blanchet ([email-masked]<mailto:[email-masked]>)
Subject: RE: New version of LTP and CBHE registries draft (-03)

Hi, Keith and Marc.  The book looks good to me.  A couple of minor comments:

1.      Section 2.2 - Can you remind me why we cut off the private/experimental range at (2**27) - 1 rather than (2**28) - 1?  The latter - terminating the range at the maximum value that can be encoded in exactly four octets - would be more consistent with the way we've structured the other ranges.

2.      Section 2.2 - Not that it matters, but SDNVs were first described in the initial drafts of the LTP specification and were later adopted for BP.  It would be correct to say SDNVs "are described in Section 4.1 of the Bundle Protocol specification [RFC5050]".

3.      Section 3.1 - same as comment #1.  Also a small typo: there's a left parenthesis missing in the definition of the Allowable Values for the Node Number.

4.      Section 3.2 - same typo as in 3.1.

5.      Good idea adding a registry for administrative record types; this will be useful.

Scott

From: Scott, Keith L. [mailto:[email-masked]]<mailto:[mailto:[email-masked]]>
Sent: Friday, September 07, 2012 10:26 AM
To: Hans Kruse; Burleigh, Scott C (313B); Stephen Farrell ([email-masked]<mailto:[email-masked]>)
Cc: Marc Blanchet ([email-masked]<mailto:[email-masked]>)
Subject: New version of LTP and CBHE registries draft (-03)

All,

You graciously agreed to review the LTP and CBHE registries draft at the Mountain View dtnrg meeting.

Marc and I have a new version which I just posted and copies are attached.

Best Regards,

                        --keith